Subject: Re: bug#18051: 24.3.92; ls-lisp: Sorting; make ls-lisp-string-lessp a normal function?

From: Michael Heerdegen <[email-masked]>
Date: Fri, 18 Jul 2014 11:37:19 +0200

Eli Zaretskii <[email-masked]> writes:

> > could I please get my `ls-lisp-string-lessp' defined as a function?
>
> You can always redefine the functions that call it, no?

That would cover the whole switch processing algorithm,
`ls-lisp-handle-switches', 60 lines of code.  I would shadow any future
change in that code by redefining that huge function.  That's why I
wanted to avoid that.

What's the advantage of `ls-lisp-string-lessp' being a defsubst?  If it
really makes it significantly faster (it's called a lot of times, of
course), then ok, let's keep it.

Thanks,

Michael.